<?php

class busqper_faltas extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE PROFESORES
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */


        //----------------------------------
        function total_regper($codigo,$periodo)
	{
	   //conexion a la base de datos
	   $this->conectar();
           
           if($periodo=='*')
                {
                    $con="select * from reporte_faltas where codigo='".$codigo."' ";
                }else{
                    $con="select * from reporte_faltas where codigo='".$codigo."' and periodo='".$periodo."' ";
                }
           
           $query = $this->consulta($con);

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function busper_cfaltas($inicio,$codigo,$periodo)
	{
		//conexion a la base de datos
		$this->conectar();

                if($periodo=='*')
                {
                    $con="select * from reporte_faltas where codigo='".$codigo."' order by orden  limit ".$inicio.",10";
                }else{
                    $con="select * from reporte_faltas where codigo='".$codigo."' and periodo='".$periodo."' order by orden  limit ".$inicio.",10";
                }
                $query = $this->consulta($con);

                $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) )
				$data[] = $tsArray;

			return $data;
		}
                else{

                        return '';
		}
	}

}

?>
